net.sf.cglib.core

## Class ClassEmitter

- java.lang.Object
- - ClassVisitor
  - - net.sf.cglib.transform.ClassTransformer
    - - net.sf.cglib.core.ClassEmitter

- Direct Known Subclasses:
    ClassEmitterTransformer

      public class ClassEmitter
      extends ClassTransformer

  Author:
    Juozas Baliuka, Chris Nokleberg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassEmitter()`
    `ClassEmitter(ClassVisitor cv)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin_class(int version, int access, java.lang.String className, Type superType, Type[] interfaces, java.lang.String source)`
    `CodeEmitter` | `begin_method(int access, Signature sig, Type[] exceptions)`
    `CodeEmitter` | `begin_static()`
    `void` | `declare_field(int access, java.lang.String name, Type type, java.lang.Object value)`
    `void` | `end_class()`
    `int` | `getAccess()`
    `ClassInfo` | `getClassInfo()`
    `Type` | `getClassType()`
    `CodeEmitter` | `getStaticHook()`
    `Type` | `getSuperType()`
    `void` | `setTarget(ClassVisitor cv)`
    `void` | `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`
    `void` | `visitEnd()`
    `FieldVisitor` | `visitField(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.Object value)`
    `MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassEmitter

          public ClassEmitter(ClassVisitor cv)

    - #### ClassEmitter

          public ClassEmitter()

  - ### Method Detail

    - #### setTarget

          public void setTarget(ClassVisitor cv)

      Specified by:
        `setTarget` in class `ClassTransformer`

    - #### getClassInfo

          public ClassInfo getClassInfo()

    - #### begin_class

          public void begin_class(int version,
                         int access,
                         java.lang.String className,
                         Type superType,
                         Type[] interfaces,
                         java.lang.String source)

    - #### getStaticHook

          public CodeEmitter getStaticHook()

    - #### getAccess

          public int getAccess()

    - #### getClassType

          public Type getClassType()

    - #### getSuperType

          public Type getSuperType()

    - #### end_class

          public void end_class()

    - #### begin_method

          public CodeEmitter begin_method(int access,
                                 Signature sig,
                                 Type[] exceptions)

    - #### begin_static

          public CodeEmitter begin_static()

    - #### declare_field

          public void declare_field(int access,
                           java.lang.String name,
                           Type type,
                           java.lang.Object value)

    - #### visit

          public void visit(int version,
                   int access,
                   java.lang.String name,
                   java.lang.String signature,
                   java.lang.String superName,
                   java.lang.String[] interfaces)

    - #### visitEnd

          public void visitEnd()

    - #### visitField

          public FieldVisitor visitField(int access,
                                java.lang.String name,
                                java.lang.String desc,
                                java.lang.String signature,
                                java.lang.Object value)

    - #### visitMethod

          public MethodVisitor visitMethod(int access,
                                  java.lang.String name,
                                  java.lang.String desc,
                                  java.lang.String signature,
                                  java.lang.String[] exceptions)

Copyright (c) 2001 - Apache Software Foundation